#pragma once


/**
DxSMPLDisp.h : ヘッダー ファイル


	簡易画像表示
*/


#include  "ExClass.h"



//
namespace jbxwl {





/////////////////////////////////////////////////////////////////////////////
// CDxSMPLDisp フレーム

class CDxSMPLDisp : public CExFrame, public MSGraphDisp<sWord>
{
	DECLARE_DYNCREATE(CDxSMPLDisp)
protected:
//	CDxSMPLDisp();



// アトリビュート
public:
	CAppCallBack*	pApp;
	CExFrame*		pFrame;
	MSGraph<sWord>	msGraph;


// オペレーション
public:
	CDxSMPLDisp(CAppCallBack* app=NULL) { pApp=app; pFrame=NULL; msGraph.init();}
	virtual  void  displayNew (MSGraph<sWord> vp);
	virtual  void  displayNext(MSGraph<sWord> vp);




// オーバーライド

	//{{AFX_VIRTUAL(CDxSMPLDisp)
	//}}AFX_VIRTUAL

// インプリメンテーション
protected:
	virtual ~CDxSMPLDisp();

	//{{AFX_MSG(CDxSMPLDisp)
	//}}AFX_MSG
	DECLARE_MESSAGE_MAP()
};

/////////////////////////////////////////////////////////////////////////////

//{{AFX_INSERT_LOCATION}}




}		// namespace